import 'package:flutter/material.dart';

import 'screens/home_screen.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      theme: ThemeData(
        textTheme:TextTheme(
          title: TextStyle(
            color: Colors.red,
            fontWeight: FontWeight.bold,
            fontSize: 14,
          ),
          subtitle: TextStyle(
            color:Colors.black12,
            fontSize: 12,
            fontStyle: FontStyle.italic,
          ),
        ),
      ),
      home: HomeScreen(),
    );
  }
}





