
import 'package:flutter/material.dart';
import 'package:carousel_pro/carousel_pro.dart';
import 'package:testapp/widgets/Internal_detail_widget.dart';
import 'package:testapp/widgets/national_detail_widget.dart';
import 'package:testapp/widgets/sport_detail_widget.dart';



class HomeTabBarViewwidget extends StatelessWidget {
//  parameter title
  final String title;
  int id;
  HomeTabBarViewwidget( this.title, {this.id});

  @override
  Widget build(BuildContext context) {
   return  Container(
      width: double.infinity,
      height: double.infinity,
      child: Column(
        children: <Widget>[
          SizedBox(
            width: double.infinity,
            child: Container(
                color: Colors.grey,
                height: 200,
                child: Carousel(
                  images:
                    [
                      AssetImage('assets/images/sport.png'),
                      AssetImage('assets/images/inter.png'),
                      AssetImage('assets/images/news.png'),
                      AssetImage('assets/images/entertainment.png'),

                    ],
                  autoplay: true,
                  animationCurve: Curves.fastOutSlowIn,
                  animationDuration: Duration(milliseconds: 1000),
                  boxFit: BoxFit.cover,
                  dotSize: 4.0,
                  indicatorBgPadding: 4.0,
//                  dotColor: Colors.red.withOpacity(0.2),
                ),
            ),
          ),

//**************THE FIRST CARS BOD**********
          SportDetailWidget(title: title),
//***********THE SECOND CARD BODY********
          NationDetialWidget(title: title),
//***********THE SECOND CARD BODY********
          InternatDetailWidget(title: title),
//***********THE SECOND CARD BODY********
//          EnterDetailWidget(title: title),
//***********THE SECOND CARD BODY********
        ],
      ),
    );
  }
}









